/*

    Boolean Expression Solver
    Version 2.0

    Module err.c
    This module contains error management function(s). 

    Dialect : ANSI C
    Compiler: any ANSI C-compatible

    Copyright (c) Kamil Ekstein, 2008
    Seminar work of `Programming in C'

    This file is provided "AS IS" with NO WARRANTY OF ANY KIND,
    INCLUDING THE WARRANTIES OF DESIGN, MERCHANTABILITY AND FITNESS FOR
    A PARTICULAR PURPOSE. Kamil Ekstein reserves all rights not expressly
    granted herein.

*/

#include <stdlib.h>
#include <stdio.h>
#include "err.h"

/* ____________________________________________________________________________

    void raise_error(char *msg)

    Interrupts the execution of the program, prints the error
    message passed in msg argument and exists with a non-ok
    exit code.
   ____________________________________________________________________________
*/
void raise_error(char *msg) {
    printf("PARSER-RSL=ERR(%s)\n", msg);
    exit(1);
}
