/*

    Boolean Expression Solver
    Version 2.0

    Header tree.h
    For detailed description see tree.c.

    Dialect : ANSI C
    Compiler: any ANSI C-compatible

    Copyright (c) Kamil Ekstein, 2008
    Seminar work of `Programming in C'

    This file is provided "AS IS" with NO WARRANTY OF ANY KIND,
    INCLUDING THE WARRANTIES OF DESIGN, MERCHANTABILITY AND FITNESS FOR
    A PARTICULAR PURPOSE. Kamil Ekstein reserves all rights not expressly
    granted herein.

*/

#ifndef _TREE_H
#define _TREE_H

/* ____________________________________________________________________________

    Structures and Datatypes
   ____________________________________________________________________________
*/

typedef struct NODE {
    char operation;
    unsigned int variable;
    struct NODE *left;
    struct NODE *right;
} node_t;

/* ____________________________________________________________________________

    Function Prototypes
   ____________________________________________________________________________
*/

node_t *create_node(char operation, node_t *left, node_t *right);
void dispose_node(node_t **node);
void dump_node_as_dot(char *filename, node_t *node);

#endif
